# Retrieve house rules for a property

Retrieve the [house rules](https://partnerhelp.booking.com/hc/en-us/articles/360001211848) for a property using the method below. House rules are only available for [Booking Home property types](/connectivity/docs/codes-pct).

## Method and URL


```http
GET https://supply-xml.booking.com/house-rules/properties/{property_id}
```

## Request parameters

| Parameter | Description | Type | Required | Notes |
|  --- | --- | --- | --- | --- |
| `property_id` | The property for which you want to retrieve house rules. | integer | Required | - |


## Request headers

| Header | Description | Type | Required | Notes |
|  --- | --- | --- | --- | --- |
| `Authorization` | [Your Base-64 encoded username and password.](/connectivity/docs/authentication) | string | Required | - |


## Sample request


```json
GET /house-rules/properties/1234567
Host: supply-xml.booking.com
Authorization: Basic TWF0dGV...
Content-Type: application/json
```

## Sample response — Success


```json
{
    "warnings": [],
    "meta": {
        "ruid": "UmFuZG9etc"
    },
    "errors": [],
    "data": {
        "pets_price_type": "charges_may_apply",
        "quiet_hours_start_time": null,
        "parties_allowed": 1,
        "smoking_allowed": 1,
        "pets_allowed": "no",
        "quiet_hours_end_time": null,
        "quiet_hours_set": 0
    }
}
```

## Sample response — Errors


```json
{
    "errors": [
        {
            "message": "This property is not eligible for house rules.",
            "code": "OPERATION_NOT_ALLOWED",
            "details": null
        }
    ],
    "data": {},
    "warnings": [],
    "meta": {
        "ruid": "UmFuZG9etc"
    }
}
```

### Response headers

| Header | Description | Type | Notes |
|  --- | --- | --- | --- |
| `RUID` | [Response Unique IDentifier.](/connectivity/docs/glossary_of_terms#ruid) | string | - |


### Response body

| Field | Description | Type | Notes |
|  --- | --- | --- | --- |
| `data.pets_allowed` | Specifies whether pets are allowed. | string | Values: `yes`, `no`, `on_request` |
| `data.pets_price_type` | Specifies whether charges apply for bringing pets (if allowed). | string | Values: `free`, `charges_may_apply` |
| `data.quiet_hours_set` | Specifies whether the property has quiet hours (`1`) or not (`0`). | int | Values: `0` (no), `1` (yes) |
| `data.quiet_hours_start_time` | Quiet hours start time. | string | Format: `HH:00`, where `HH` is `1`–`23`. |
| `data.quiet_hours_end_time` | Quiet hours end time. | string | Format: `HH:00`, where `HH` is `1`–`23`. |
| `data.parties_allowed` | Specifies whether guests may have parties at the property (`1`) or not (`0`). | int | Values: `0` (no), `1` (yes) |
| `data.smoking_allowed` | Specifies whether smoking in the property is allowed (`1`) or not (`0`). | int | Values: `0` (no), `1` (yes) |
| `errors` | Array with errors, if they exist | array |  |


## Response codes

| Code | Description | Notes |
|  --- | --- | --- |
| `400` | Bad request. | - |
| `404` | Resource not found. | - |